# Uses of Class
org.apache.commons.math3.geometry.spherical.oned.S1Point

Packages that use S1Point
Package
Description
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of S1Point in org.apache.commons.math3.geometry.spherical.oned

Fields in org.apache.commons.math3.geometry.spherical.oned declared as S1Point
Modifier and Type
Field
Description
`static final S1Point`
S1Point.`NaN`
A vector with all coordinates set to NaN.
Methods in org.apache.commons.math3.geometry.spherical.oned that return S1Point
Modifier and Type
Method
Description
`S1Point`
LimitAngle.`getLocation()`
Get the hyperplane location on the circle.
Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type S1Point
Modifier and Type
Method
Description
`static double`
S1Point.`distance(S1Point p1, S1Point p2)`
Compute the distance (angular separation) between two points.
Constructors in org.apache.commons.math3.geometry.spherical.oned with parameters of type S1Point
Modifier
Constructor
Description
``
`LimitAngle(S1Point location, boolean direct, double tolerance)`
Simple constructor.

## Uses of S1Point in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return S1Point
Modifier and Type
Method
Description
`S1Point`
Circle.`toSubSpace(Point<Sphere2D> point)`
Transform a space point into a sub-space point.